ElevateOrder Example |
Using Programming Languages other than VBA
Sub Example_ElevateOrder() ' This example creates a spline object in model space. ' It then elevates the order of the spline. ' Create the spline Dim splineObj As AcadSpline Dim startTan(0 To 2) As Double Dim endTan(0 To 2) As Double Dim fitPoints(0 To 8) As Double startTan(0) = 0.5: startTan(1) = 0.5: startTan(2) = 0 endTan(0) = 0.5: endTan(1) = 0.5: endTan(2) = 0 fitPoints(0) = 1: fitPoints(1) = 1: fitPoints(2) = 0 fitPoints(3) = 5: fitPoints(4) = 5: fitPoints(5) = 0 fitPoints(6) = 10: fitPoints(7) = 0: fitPoints(8) = 0 Set splineObj = ThisDrawing.ModelSpace.AddSpline(fitPoints, startTan, endTan) ZoomAll MsgBox "The current order of the spline is " & splineObj.Degree + 1, , "ElevateOrder Example" ' Elevate the order of the spline splineObj.ElevateOrder (splineObj.Degree + 10) ThisDrawing.Regen True MsgBox "The order of the spline has been raised to " & splineObj.Degree + 1, , "ElevateOrder Example" End Sub
Comments? |